App\Entity\PaiementAchat:
    type: entity
    table: paiement_achat
    fields:
        id:
            id: true
            type: integer
            unsigned: false
            nullable: false
            generator:
                strategy: IDENTITY
        reference:
            type: string
            length: 255
            fixed: false
            nullable: true
        totalPaye:
            type: float
            nullable: false
        dateEcheance:
            type: datetime
            nullable: true
        modePaiement:
            type: string
            length: 255
            fixed: false
            nullable: true
        estPaye:
            type: boolean
            nullable: true
        datePaiement:
            type: datetime
            nullable: true
        recuPaiement:
            type: string
            length: 255
            fixed: false
            nullable: true
        numFacture:
            type: string
            length: 255
            fixed: false
            nullable: true
        dateFacture:
            type: datetime
            nullable: true
        scanFacture:
            type: string
            length: 255
            fixed: false
            nullable: true
        estComptabilise:
            type: boolean
            nullable: true
        notes:
            type: text
            nullable: true
        motscles:
            type: text
            nullable: true
    manyToOne:
        achat:
            targetEntity: Achat
            cascade: {  }
            mappedBy: null
            inversedBy: paiements
            joinColumns:
                achat_id:
                    referencedColumnName: id
            orphanRemoval: false
        fournisseur:
            targetEntity: Fournisseur
            cascade: {  }
            mappedBy: null
            inversedBy: paiements
            joinColumns:
                fournisseur_id:
                    referencedColumnName: id
            orphanRemoval: false
        magasin:
            targetEntity: Magasin
            cascade: [persist]
            mappedBy: null
            inversedBy: fournisseurPaiements
            joinColumns:
                magasin_id:
                    referencedColumnName: id
            orphanRemoval: true
        compte:
            targetEntity: Compte
            cascade: [persist]
            mappedBy: null
            inversedBy: apaiements
            joinColumns:
                compte_id:
                    referencedColumnName: id
            orphanRemoval: true